Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:
Description

In SIP bindings there is the QString version of the overloaded setDrawingStyle:

void setDrawingStyle( const QString & theDrawingStyleQString );

The pyqgis cookbook examples refer to the enum version:

rlayer.setDrawingStyle(QgsRasterLayer.SingleBandPseudoColor)

is this intentional?

Do we have to fix the cookbook or ths SIP bindings?

Maybe related but the cookbook still mentions

rlayer.drawingStyle()

which is not available anymore, additionally it seems that there is not a way to get the ENUM from the renderer, all I can get is a lowercase

string such as:

rlayer.renderer().type()

u'singlebandpseudocolor'

Associated revisions

Revision 40acaa05 - 2015-06-18 06:47 AM - Martin Dobias

Deprecate QgsRasterLayer::setDrawingStyle()  (fixes #12635)

History

#1 - 2015-06-17 11:05 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"40acaa051a7b3d03bcce4a183d9039c27efed81b".

#2 - 2015-06-17 11:06 PM - Martin Dobias
The setDrawingStyle() method is completely obsolete. I have also updated the cookbook: 

https://github.com/qgis/QGIS-Documentation/commit/052ff6cce5eb3d48a6fc65f0d7662819a2da30a6
